# Uses of Interface
javafx.collections.SetChangeListener

Packages that use SetChangeListener
Package
Description
javafx.beans.binding
Provides classes that create and operate on a `Binding` that calculates a value that depends on one or more sources.
javafx.beans.property
The package `javafx.beans.property` defines read-only properties and writable properties, plus a number of implementations.
javafx.collections
Contains the essential JavaFX collections and collection utilities

## Uses of SetChangeListener in javafx.beans.binding

Methods in javafx.beans.binding with parameters of type SetChangeListener
Modifier and Type
Method
Description
`void`
SetBinding.`addListener(SetChangeListener<? super E> listener)`
`void`
SetBinding.`removeListener(SetChangeListener<? super E> listener)`

## Uses of SetChangeListener in javafx.beans.property

Methods in javafx.beans.property with parameters of type SetChangeListener
Modifier and Type
Method
Description
`void`
ReadOnlySetPropertyBase.`addListener(SetChangeListener<? super E> listener)`
`void`
SetPropertyBase.`addListener(SetChangeListener<? super E> listener)`
`void`
ReadOnlySetPropertyBase.`removeListener(SetChangeListener<? super E> listener)`
`void`
SetPropertyBase.`removeListener(SetChangeListener<? super E> listener)`

## Uses of SetChangeListener in javafx.collections

Classes in javafx.collections that implement SetChangeListener
Modifier and Type
Class
Description
`final class`
`WeakSetChangeListener<E>`
A `WeakSetChangeListener` can be used, if an `ObservableSet` should only maintain a weak reference to the listener.
Methods in javafx.collections with parameters of type SetChangeListener
Modifier and Type
Method
Description
`void`
ObservableSet.`addListener(SetChangeListener<? super E> listener)`
Add a listener to this observable set.
`void`
ObservableSet.`removeListener(SetChangeListener<? super E> listener)`
Tries to removed a listener from this observable set.
Constructors in javafx.collections with parameters of type SetChangeListener
Modifier
Constructor
Description
``
`WeakSetChangeListener(SetChangeListener<E> listener)`
The constructor of `WeakSetChangeListener`.